/* eslint-disable import/no-extraneous-dependencies */
const React = require('react');

exports.onRenderBody = ({ setHeadComponents }, pluginOptions) => {
  if (!pluginOptions.handle) throw new Error(`Error in gatsby-plugin-ada-chatbot: missing required plugin option. Please add the 'handle' option to your gatsby-config file.`);

  return setHeadComponents([
    <script
      key="ada-snippet"
      id="__ada"
      data-lazy
      src="https://static.ada.support/embed2.js"
    />
  ]);
};
